// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function DocumentClockOutlined(): React.ReactElement {
  return (
    <svg
      aria-hidden="true"
      data-name="Ebene 1"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 20 20"
      fill="currentColor"
      className="anticon"
      height="20"
      width="20"
    >
      <path
        d="M6.11491 18.0658H2.33326C1.50485 18.0658 0.833284 17.3943 0.833261 16.5659L0.833252 16.251V1.5C0.833252 0.671574 1.50483 5.81848e-07 2.33325 1.29959e-06L12.4999 1.0108e-05L15.8333 3.33334V7.68416C15.8333 7.84992 15.7674 8.00889 15.6502 8.1261C15.533 8.24331 15.374 8.30916 15.2083 8.30916C15.0425 8.30916 14.8836 8.24331 14.7663 8.1261C14.6491 8.00889 14.5833 7.84992 14.5833 7.68416V4.16668H11.6666V1.25001H2.08326V16.8158H6.11491C6.28067 16.8158 6.43965 16.8817 6.55686 16.9989C6.67407 17.1161 6.73991 17.2751 6.73991 17.4408C6.73991 17.6066 6.67407 17.7656 6.55686 17.8828C6.43965 18 6.28067 18.0658 6.11491 18.0658Z"
        fill="black"
      />
      <path
        d="M11.0417 7.08301H4.79175C4.62599 7.08301 4.46704 7.01716 4.34983 6.89995C4.23262 6.78274 4.16675 6.62377 4.16675 6.45801C4.16675 6.29225 4.23262 6.1333 4.34983 6.01609C4.46704 5.89888 4.62599 5.83301 4.79175 5.83301H11.0417C11.2075 5.83301 11.3665 5.89888 11.4837 6.01609C11.6009 6.1333 11.6667 6.29225 11.6667 6.45801C11.6667 6.62377 11.6009 6.78274 11.4837 6.89995C11.3665 7.01716 11.2075 7.08301 11.0417 7.08301Z"
        fill="black"
      />
      <path
        d="M8.54191 9.89551H4.79272C4.62696 9.89551 4.46799 9.82966 4.35078 9.71245C4.23357 9.59524 4.16772 9.43627 4.16772 9.27051C4.16772 9.10475 4.23357 8.9458 4.35078 8.82859C4.46799 8.71138 4.62696 8.64551 4.79272 8.64551H8.54191C8.70767 8.64551 8.86665 8.71138 8.98386 8.82859C9.10107 8.9458 9.16691 9.10475 9.16691 9.27051C9.16691 9.43627 9.10107 9.59524 8.98386 9.71245C8.86665 9.82966 8.70767 9.89551 8.54191 9.89551Z"
        fill="black"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M14.1667 18.75C16.2378 18.75 17.9167 17.0711 17.9167 15C17.9167 12.9289 16.2378 11.25 14.1667 11.25C12.0957 11.25 10.4167 12.9289 10.4167 15C10.4167 17.0711 12.0957 18.75 14.1667 18.75ZM14.1667 20C16.9282 20 19.1667 17.7614 19.1667 15C19.1667 12.2386 16.9282 10 14.1667 10C11.4053 10 9.16675 12.2386 9.16675 15C9.16675 17.7614 11.4053 20 14.1667 20Z"
        fill="black"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M14.1667 11.875C14.5119 11.875 14.7917 12.1548 14.7917 12.5V14.7917H15.8334C16.1786 14.7917 16.4584 15.0715 16.4584 15.4167C16.4584 15.7618 16.1786 16.0417 15.8334 16.0417H14.1667C13.8216 16.0417 13.5417 15.7618 13.5417 15.4167V12.5C13.5417 12.1548 13.8216 11.875 14.1667 11.875Z"
        fill="black"
      />
    </svg>
  );
}
